> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Task Statuses

> List the board's statuses (columns) in order.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/task-statuses
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/task-statuses:
    get:
      tags:
        - Tasks
      summary: List Task Statuses
      description: List the board's statuses (columns) in order.
      operationId: list_task_statuses
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskStatusOptionListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    TaskStatusOptionListOut:
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/TaskStatusOptionOut'
          title: Data
          type: array
      required:
        - data
      title: TaskStatusOptionListOut
      type: object
    TaskStatusOptionOut:
      properties:
        id:
          title: Id
          type: string
        key:
          title: Key
          type: string
        label:
          title: Label
          type: string
        color:
          title: Color
          type: string
        category:
          title: Category
          type: string
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
        position:
          title: Position
          type: integer
      required:
        - id
        - key
        - label
        - color
        - category
        - position
      title: TaskStatusOptionOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.